; Inno Setup Script for WinUAE Installer

[Setup]
    MinVersion=4.0,4.0
    AppName=WinUAE 0.8.17 Release 3
    AppId=WinUAE
    AppMutex=WinUAE Instantiated
    CreateUninstallRegKey=1
    AppPublisher=CodePoet Computing
    AppPublisherURL=http://www.CodePoet.com
    AppSupportURL=http://www.CodePoet.com/UAE/
    AppUpdatesURL=http://www.CodePoet.com/UAE/download.htm
    AppVersion=0.8.17 Release 3
    AppVerName=WinUAE 0.8.17 Release 3
    AppCopyright=Copyright  1996-2001 The UAE Team, under GNU Public License
    WizardStyle=modern
    ChangesAssociations=1
    WindowShowCaption=0
    WindowStartMaximized=0
    WindowVisible=0
    WindowResizable=0
    UninstallLogMode=Append
    DirExistsWarning=no
    UninstallFilesDir={app}
    DisableDirPage=0
    DisableStartupPrompt=1
    CreateAppDir=1
    DisableProgramGroupPage=0
    AlwaysCreateUninstallIcon=0
    Uninstallable=1
    AllowNoIcons=1
    CompressLevel=4
    DefaultDirName={pf}\WinUAE
    DefaultGroupName=WinUAE
    OutputBaseFilename=WinUAE0817R3
    DiskSpanning=0
    OutputDir=c:\winuae0817jit\src
    ShowComponentSizes=yes
;  Inno Setup Extensions
[Components]
    Name: "Docs"; Description: "Documentation"; Types: full
    Name: "Utils"; Description: "Amiga Utilities"; Types: full

[Dirs]
    Name: {app}\Configurations

[Files]
    Source: c:\winuae\docs\README.PROGRAMMERS; DestDir: {app}\Docs\; DestName: README.PROGRAMMERS; Components: Docs
    Source: c:\winuae\docs\Credits; DestDir: {app}\Docs\; DestName: Credits; Components: Docs
    Source: c:\winuae\docs\Faq; DestDir: {app}\Docs\; DestName: Faq; Components: Docs
    Source: c:\winuae\docs\News; DestDir: {app}\Docs\; DestName: News; Components: Docs
    Source: c:\winuae\docs\Readme; DestDir: {app}\Docs\; DestName: Readme; Components: Docs
    Source: c:\winuae\docs\README.compemu; DestDir: {app}\Docs\; DestName: README.compemu; Components: Docs
    Source: c:\winuae\docs\README.JIT-tuning; DestDir: {app}\Docs\; DestName: README.JIT-tuning; Components: Docs
    Source: c:\winuae\docs\README.pci; DestDir: {app}\Docs\; DestName: README.pci; Components: Docs
    Source: c:\winuae\docs\README.umisef; DestDir: {app}\Docs\; DestName: README.umisef; Components: Docs
    Source: c:\winuae\docs\Whatsnew-jit; DestDir: {app}\Docs\; DestName: Whatsnew-jit; Components: Docs
    Source: c:\winuae\docs\COMPATIBILITY; DestDir: {app}\Docs\; DestName: COMPATIBILITY; Components: Docs
    Source: c:\winuae\docs\translated\L-s_mig; DestDir: {app}\Docs\Translated\; DestName: L-s_mig; Components: Docs
    Source: c:\winuae\docs\translated\Faq.ita; DestDir: {app}\Docs\Translated\; DestName: Faq.ita; Components: Docs
    Source: c:\winuae\docs\translated\Faq.swe; DestDir: {app}\Docs\Translated\; DestName: Faq.swe; Components: Docs
    Source: c:\winuae\docs\translated\Leggimi; DestDir: {app}\Docs\Translated\; DestName: Leggimi; Components: Docs
    Source: c:\winuae\docs\translated\Liesmich; DestDir: {app}\Docs\Translated\; DestName: Liesmich; Components: Docs
    Source: c:\winuae\docs\translated\Czytajto; DestDir: {app}\Docs\Translated\; DestName: Czytajto; Components: Docs
    Source: c:\winuae\docs\Windows\SoundSynchro Readme.rtf; DestDir: {app}\Docs\Windows\; DestName: SoundSynchro Readme.rtf; Components: Docs
    Source: c:\winuae\docs\Windows\AmigaProg.txt; DestDir: {app}\Docs\Windows\; DestName: AmigaProg.txt; Components: Docs
    Source: c:\winuae\docs\Windows\UAEHowTo.txt; DestDir: {app}\Docs\Windows\; DestName: UAEHowTo.txt; Components: Docs
    Source: c:\winuae\amiga\picasso96fix; DestDir: {app}\Amiga Programs\; DestName: picasso96fix; Components: Utils
    Source: c:\winuae\amiga\picasso96fix.bb; DestDir: {app}\Amiga Programs\; DestName: picasso96fix.bb; Components: Utils
    Source: c:\winuae\amiga\uaectrl; DestDir: {app}\Amiga Programs\; DestName: uaectrl; Components: Utils
    Source: c:\winuae\amiga\transdisk; DestDir: {app}\Amiga Programs\; DestName: transdisk; Components: Utils
    Source: c:\winuae\amiga\transrom; DestDir: {app}\Amiga Programs\; DestName: transrom; Components: Utils
    Source: c:\winuae\amiga\uae_rcli; DestDir: {app}\Amiga Programs\; DestName: uae_rcli; Components: Utils
    Source: c:\winuae\amiga\uae-control; DestDir: {app}\Amiga Programs\; DestName: uae-control; Components: Utils
    Source: c:\winuae\amiga\uae-control.info; DestDir: {app}\Amiga Programs\; DestName: uae-control.info; Components: Utils
    Source: c:\winuae\amiga\mousehack; DestDir: {app}\Amiga Programs\; DestName: mousehack; Components: Utils
    Source: c:\winuae\amiga\uaediskchange; DestDir: {app}\Amiga Programs\; DestName: uaediskchange; Components: Utils
    Source: c:\winuae\amiga\uaediskchange.info; DestDir: {app}\Amiga Programs\; DestName: uaediskchange.info; Components: Utils
    Source: c:\winuae\amiga\UAE_German; DestDir: {app}\Amiga Programs\; DestName: UAE_German; Components: Utils
    Source: c:\winuae\amiga\UAE_German.info; DestDir: {app}\Amiga Programs\; DestName: UAE_German.info; Components: Utils
    Source: c:\winuae\amiga\rtg.library; DestDir: {app}\Amiga Programs\; DestName: rtg.library; Components: Utils
    Source: c:\winuae\amiga\UAE; DestDir: {app}\Amiga Programs\; DestName: UAE; Components: Utils
    Source: c:\winuae\amiga\UAE.audio; DestDir: {app}\Amiga Programs\; DestName: UAE.audio; Components: Utils
    Source: c:\winuae\DisplayDriver\UAEGFX.info; DestDir: {app}\Display Driver\; DestName: UAEGFX.info; Components: Utils
    Source: c:\winuae\DisplayDriver\Uaegfx; DestDir: {app}\Display Driver\; DestName: Uaegfx; Components: Utils
    Source: c:\winuae\displaydriver\uaegfx.card; DestDir: {app}\Display Driver\; DestName: uaegfx.card; Components: Utils
    Source: c:\winuae0817jit\docs\Windows\Readme.txt; DestDir: {app}\Docs\; DestName: Readme.txt; CopyMode: alwaysoverwrite
    Source: c:\winuae0817jit\src\WinUAE_msvcr.exe; DestDir: {app}\; DestName: WinUAE.exe; CopyMode: alwaysoverwrite
    Source: c:\winuae0817jit\src\zlib.dll; DestDir: {app}\; DestName: zlib.dll; CopyMode: alwaysoverwrite
[Icons]

[INI]

[Registry]

[UninstallDelete]

[InstallDelete]

[Run]
Filename: "{app}\Docs\Readme.txt"; Description: "View the README file"; Flags: shellexec postinstall

[UninstallRun]

